Bug 1120344 - add_user.sh script fails due to hidden password restriction
Summary: add_user.sh script fails due to hidden password restriction
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Darran Lofthouse
QA Contact: Pavel Slavicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 18:56 UTC by anestico
Modified: 2019-08-19 12:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:45:01 UTC
Type: Bug


Attachments (Terms of Use)

Description anestico 2014-07-16 18:56:25 UTC
Description of problem:

When adding a user, certain passwords that pass all written restrictions will fail with the error:

 * Error * 
JBAS015264: Password is not strong enough, it is 'MODERATE'. It should be at least 'MEDIUM'.


Version-Release number of selected component (if applicable):

Reported on EAP 6.3.0-ER10, but has existed before this release.


How reproducible:

Always, with certain passwords. Reproducible with zip.


Steps to Reproduce:
1. Run add_user.sh
2. Progress to password entering segment
3. Attempt to enter one of the following passwords:
`12123qwe
`1234qwer
`1qaz2wsx
`12qwaszx
`qwerty1
`qwerty12
qwerty1`
qwerty`1
qwerty`12
qwerty`123
qwerty`2
qwerty1!
`123qwert

This is not an exhaustive list. Some permutations of the above will be considered VERY_WEAK, WEAK, or are accepted, seemingly at random (though the same password will never have a different result).


Actual results:

Password is not accepted and the above error is shown. The user is asked to verify username again and may proceed if he supplies a stronger password the next time.


Expected results:

Either the password is accepted, or a more descriptive method of explaining why the password is not accepted is given to the user.


Additional info:

A better label than MODERATE should be used for passwords that fail the security check.

Comment 1 Darran Lofthouse 2014-10-16 13:54:51 UTC
Insufficient time for 6.4.


Note You need to log in before you can comment on or make changes to this bug.